logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



MySQL Connector/PHP for MySQL 5.0

 
Post new topic   Reply to topic    Apache Forum Index -> Other Software



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2603
Location: Hilversum, NL, EU

PostPosted: Mon 09 Jan '06 20:06    Post subject: MySQL Connector/PHP for MySQL 5.0 Reply with quote

MySQL AB announced "MySQL Connector/PHP for MySQL 5.0", the Windows downloads for connecting MySQL to PHP.

The MySQL Connector/PHP consists of the mysql/mysqli PHP extensions built against the latest version of the MySQL client libraries.

The advantages on top of the mysql/mysqli PHP extensions currently available from php.net are that they contain the latest bug fixes to the MySQL Client Library, and make all the features in the MySQL server versions 4.1.16+ and 5.0.18+ available.

They are now available in binary format from the MySQL Connector/PHP download page at http://dev.mysql.com/downloads/connector/php/ .

This binary release contains the mysql/mysqli extensions as well as the MySQL PDO driver for PHP 5.1, with support for MySQL server versions 4.1.16+ and 5.0.18+. Note that only the mysqli extension for PHP 5.0, but not the older mysql extension, supports the full functionality of MySQL versions greater than 4.1.0, such as Stored Procedures, Triggers, Views.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2603
Location: Hilversum, NL, EU

PostPosted: Sun 16 Jul '06 19:43    Post subject: Reply with quote

This weekend I did a fresh XP install of my box (sorry for the down time).

I was getting mysql_connect errors. I referted back to the php_mysql.dll extension in the php-distro all was fine.

The cause was that it is build by Mysql with VC7, so MSVCR71.dll is needed. Strange that they do not mention it.


Steffen
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6298
Location: Germany, Next to Hamburg

PostPosted: Sun 16 Jul '06 22:41    Post subject: Reply with quote

use MySQL[b]i[/i] Wink
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Other Software
Page 1 of 1